# 17. Dotaz: Získat "SoilDatasets"

Získejte všechny "SoilDatasets" pro vybrané "Field". Datové sady lze načíst pomocí obecných GraphQL dotazů jako `getFarms` a `getFields` z připojeného "Field".&#x20;

{% hint style="warning" %}
"SoilDataset" musí být nahrána předem.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #vzor "<OperationType> <YYYY-mm-DD>"
        operationId #pokud existuje
        number #celkový počet geofeatures
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #úplné informace pro každý atribut
          name #odkaz na statistiky >> atribut
          transliteratedName
          fullName #pokud existuje
          unit #pokud existuje
        }

        createdDate #datum a čas vytvoření entity v GeoPard
        updatedDate #datum a čas poslední aktualizace
        operationType
        operationId
        operationFileDate #datum a čas vytvoření souboru
        operationStartDate #začátek operace
        
        statistics { #rozdělení statistik pro každý půdní atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          krátkýNázev
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        název  
        operationId #pokud existuje 
        number #celkový počet geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #odkaz na statistiky >> atribut
          transliteratedName
          fullName #pokud existuje
          unit #pokud existuje
        }
      
        createdDate #datum a čas vytvoření v GeoPard
        updatedDate #datum a čas poslední aktualizace v GeoPard
        operationFileDate #datum a čas vytvoření souboru (pokud existuje)
        operationStartDate #začátek operace (pokud existuje)
      
        statistics { #statistické rozložení pro každý půdní atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #vizuální zobrazení
          url
          krátkýNázev
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/api-dokumentace/prehled-pozadavku-api-geopardu/17.-dotaz-ziskat-soildatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
